---
title: "Pages customers' quiz attempts."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › quiz

`GET /v1/stores/{store}/products/{product}/attempts`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `quiz:read`

## Path parameters

- `store` (`listProductAttempts.path.store`; string, required) — The store's id.
- `product` (`listProductAttempts.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Query parameters

- `customer` (`listProductAttempts.query.customer`; string, optional) — An id.
  - minLength 1
- `filter` (`listProductAttempts.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listProductAttempts.query.sort`; string, optional)
  - one of `"started"`
- `direction` (`listProductAttempts.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listProductAttempts.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listProductAttempts.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listProductAttempts.query.count`; boolean, optional)
- `search` (`listProductAttempts.query.search`; string, optional)
  - minLength 1; maxLength 200
- `facets` (`listProductAttempts.query.facets`; array<string>, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/attempts' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/attempts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/attempts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages customers' quiz attempts.

#### Example

```json
{
  "items": [
    {
      "customer": {
        "id": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "erased": true
      },
      "quiz": {
        "id": "string",
        "title": "string"
      },
      "id": "string",
      "product_id": "string",
      "quiz_id": "string",
      "customer_id": "string",
      "attempt": 0,
      "status": "string",
      "answers": {
        "property1": {
          "answer": true,
          "correct": true,
          "weight": 0,
          "dropped": true,
          "property1": true,
          "property2": true
        },
        "property2": {
          "answer": true,
          "correct": true,
          "weight": 0,
          "dropped": true,
          "property1": true,
          "property2": true
        }
      },
      "score": 0,
      "correct": 0,
      "started_at": "string",
      "finished_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listProductAttempts.response.200.items`; array<object>, required)
  - `customer` (`listProductAttempts.response.200.items.customer`; any of, required)
    - any of: `object`, `null`
  - `quiz` (`listProductAttempts.response.200.items.quiz`; any of, required)
    - any of: `object`, `null`
  - `id` (`listProductAttempts.response.200.items.id`; string, required)
  - `product_id` (`listProductAttempts.response.200.items.product_id`; string, required)
  - `quiz_id` (`listProductAttempts.response.200.items.quiz_id`; string, required)
  - `customer_id` (`listProductAttempts.response.200.items.customer_id`; string, required)
  - `attempt` (`listProductAttempts.response.200.items.attempt`; number, required)
  - `status` (`listProductAttempts.response.200.items.status`; string, required)
  - `answers` (`listProductAttempts.response.200.items.answers`; map<object>, required)
  - `score` (`listProductAttempts.response.200.items.score`; any of, required)
    - any of: `number`, `null`
  - `correct` (`listProductAttempts.response.200.items.correct`; any of, required)
    - any of: `number`, `null`
  - `started_at` (`listProductAttempts.response.200.items.started_at`; any of, required)
    - any of: `string`, `null`
  - `finished_at` (`listProductAttempts.response.200.items.finished_at`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listProductAttempts.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listProductAttempts.response.200.total`; number, optional)
- `facets` (`listProductAttempts.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listProductAttempts.response.default.type`; string, required)
  - format `uri`
- `title` (`listProductAttempts.response.default.title`; string, required)
- `status` (`listProductAttempts.response.default.status`; integer, required)
- `detail` (`listProductAttempts.response.default.detail`; string, required)
- `code` (`listProductAttempts.response.default.code`; string, optional)
- `context` (`listProductAttempts.response.default.context`; object, optional)
- `reached_core` (`listProductAttempts.response.default.reached_core`; boolean, optional)
- `core_answer` (`listProductAttempts.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-product-attempts/index.md
